GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::SOPClassExtendedNegociationSub Class Reference

SOPClassExtendedNegociationSub PS 3.7 Table D.3-11 SOP CLASS EXTENDED NEGOTIATION SUB-ITEM FIELDS (A-ASSOCIATE-RQ and A-ASSOCIATE-AC) More...

`#include <gdcmSOPClassExtendedNegociationSub.h>`

## Public Member Functions

| SOPClassExtendedNegociationSub ()
std::istream & | Read (std::istream &is)
size_t | Size () const
const std::ostream & | Write (std::ostream &os) const

## Detailed Description

SOPClassExtendedNegociationSub PS 3.7 Table D.3-11 SOP CLASS EXTENDED NEGOTIATION SUB-ITEM FIELDS (A-ASSOCIATE-RQ and A-ASSOCIATE-AC)

## Constructor & Destructor Documentation

gdcm::network::SOPClassExtendedNegociationSub::SOPClassExtendedNegociationSub | ( |  | ) |

## Member Function Documentation

std::istream& gdcm::network::SOPClassExtendedNegociationSub::Read | ( | std::istream & | is | ) |

size_t gdcm::network::SOPClassExtendedNegociationSub::Size | ( |  | ) | const

const std::ostream& gdcm::network::SOPClassExtendedNegociationSub::Write | ( | std::ostream & | os | ) | const

The documentation for this class was generated from the following file:

- gdcmSOPClassExtendedNegociationSub.h